# ApplicationFramework
TKCDF
CDM

# CDM_MapIteratorOfMapOfDocument Class Reference

`#include <CDM_MapIteratorOfMapOfDocument.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_MapIteratorOfMapOfDocument ()
Standard_EXPORT | CDM_MapIteratorOfMapOfDocument (const CDM_MapOfDocument &aMap)
Standard_EXPORT void | Initialize (const CDM_MapOfDocument &aMap)
Standard_EXPORT const Handle_CDM_Document & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT CDM_MapIteratorOfMapOfDocument::CDM_MapIteratorOfMapOfDocument | ( |  | ) |

Standard_EXPORT CDM_MapIteratorOfMapOfDocument::CDM_MapIteratorOfMapOfDocument | ( | const CDM_MapOfDocument & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void CDM_MapIteratorOfMapOfDocument::Initialize | ( | const CDM_MapOfDocument & | aMap | ) |

Standard_EXPORT const Handle_CDM_Document& CDM_MapIteratorOfMapOfDocument::Key | ( |  | ) | const

void CDM_MapIteratorOfMapOfDocument::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_MapIteratorOfMapOfDocument::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_MapIteratorOfMapOfDocument::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- CDM_MapIteratorOfMapOfDocument.hxx